// $Id: taxonomy_widget.js,v 1.1 2008/09/30 18:04:13 shannonlucas Exp $

/**
 * @file Provides for the necessary Javascript for the taxonomy_widget module.
 */

/**
 * Handle the vocabulary change event for the taxonomy select widget. The
 * handler queries the taxonomy widget callback with the selected vocabulary
 * ID and populates the term select element with the results.
 *
 * @param object event The select element's change event.
 */
function taxonomyWidgetVocabularyChange(event) {
  var $target     = $(event.target);
  var vid         = $target.val();
  var $termSelect = $target.parent().siblings('div.form-item').children('select.taxonomy-widget-term');

  if (vid > 0) {
    // Load the terms.
    $.getJSON(event.data.callback + "/" + vid, function(data) {
      var code  = "";
      var count = 0;
      
      for (var tid in data) {
        code = code + '<option value="' + tid + '">' + data[tid] + "</option>";
        count++;
      }
      
      $termSelect.html(code);
      $termSelect.attr("size", Math.min(9, count));
    });
  }
  else {
    $termSelect.html('<option value="0">Select a vocabulary.</option>');
    $termSelect.attr("size", 3);
  }
}
